
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jQuery函数的等价原生函数代码 / iVAN</title>

    <meta name="description" content="jQuery函数的等价原生函数代码  我们针对常用的jQuery方法以及其等价原生方法的性能做了一些测试(1, 2, 3). 我知道你在想什么.原生方法明显要比jQuery方法快,因为jQuery方法要处理浏览器兼容以及其他一些事情.是的,我完全赞成.写这篇文章并不是出于反对使用jQuery,但如果你针对的是现代浏览器,那么使用原生方法会使性能有很大的提升. 许多开发者没有意识到大多数他们使用的jQuery方法可以使用原生方法,或者更轻量级的方法来代替.下面是一些代码示例,展示一些常用的jQuery方法,以及其等价原生方法. 译者">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jQuery函数的等价原生函数代码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 我们针对常用的jQuery方法以及其等价原生方法的性能做了一些测试(1, 2,  3)。  <br />
我知道你在想什么。原生方法明显要比jQuery方法快，因为jQuery方法要处理浏览器兼容以及其他一些事情。是的，我完全赞成。写这篇文章并不是出于反对使用jQuery，但如果你针对的是现代浏览器，那么使用原生方法会使性能有很大的提升。</p>
<p>许多开发者没有意识到大多数他们使用的jQuery方法可以使用原生方法，或者更轻量级的方法来代替。下面是一些代码示例，展示一些常用的jQuery方法，以及其等价原生方法。</p>
<p>译者注：需要注意下面有些原生方法是HTML5引用的，部分浏览器可能不能使用。</p>
<p>选择器  <br />
jQuery的核心之一就是能非常方便的取到DOM元素。我们只需输入CSS选择字符串，便可以得到匹配的元素。但在大多数情况下，我们可以用简单的原生代码达到同样的效果。</p>
<p>复制代码 代码如下:<br />
<br />
//----得到页面的所有div--------- <br />
/* jQuery */  <br />
$("div") <br />
/* 原生 */ <br />
document.getElementsByTagName("div")  <br />
//----得到所有指定class的元素--------- <br />
/* jQuery */ <br />
$(".my-class") <br />
/* 原生  */ <br />
document.querySelectorAll(".my-class") <br />
/* 更快的原生方法 */  <br />
document.getElementsByClassName("my-class") <br />
//----通过CSS选择得到元素----------  <br />
/* jQuery */ <br />
$(".my-class li:first-child") <br />
/* 原生 */  <br />
document.querySelectorAll(".my-class li:first-child")  <br />
//----得到指定clsss的第一个元素---- <br />
/* jQuery */ <br />
$(".my-class").get(0) <br />
/*  原生 */ <br />
document.querySelector(".my-class")<br />
<br />译者注：其实这里面是有些问题的，document.querySelectorAll和jQuery选择器还是有区别的，前者返回的是一个NodeList，而后者返回的是一个类数组对象。  <br />
DOM操作  <br />
jQuery还在DOM操作上频繁使用，例如插入或者删除元素。我们也可以使用原生方法来进行这些操作，你会发现这需要写额外的代码，当然也可以写自己的辅助函数来让使用起来更容易。下面是一些将元素插入到页面中的例子。</p>
<p>复制代码 代码如下:<br />
<br />
//----插入元素---- <br />
/* jQuery */  <br />
$(document.body).append("&lt;div id='myDiv'&gt;&lt;img  src='im.gif'/&gt;&lt;/div&gt;"); <br />
/* 蹩脚的原生方法 */ <br />
document.body.innerHTML  += "&lt;div id='myDiv'&gt;&lt;img src='im.gif'/&gt;&lt;/div&gt;"; <br />
/* 更好的原生方法  */ <br />
var frag = document.createDocumentFragment(); <br />
var myDiv =  document.createElement("div"); <br />
myDiv.id = "myDiv"; <br />
var im =  document.createElement("img"); <br />
im.src = "im.gif"; <br />
myDiv.appendChild(im);  <br />
frag.appendChild(myDiv); <br />
document.body.appendChild(frag);  <br />
//----前置元素---- <br />
// 除了最后一行 <br />
document.body.insertBefore(frag,  document.body.firstChild);<br />
<br />CSS classes  <br />
在jQuery中，我们可以很容易对DOM元素添加、删除、检查它的CSS class。幸运的是，利用原生方法也可以简单的办到。</p>
<p>复制代码 代码如下:<br />
<br />
// 得到DOM元素的引用 <br />
var el =  document.querySelector(".main-content"); <br />
//----添加class------ <br />
/* jQuery  */ <br />
$(el).addClass("someClass"); <br />
/* 原生方法 */  <br />
el.classList.add("someClass"); <br />
//----删除class----- <br />
/* jQuery */  <br />
$(el).removeClass("someClass"); <br />
/* 原生方法 */  <br />
el.classList.remove("someClass"); <br />
//----是否是该class--- <br />
/* jQuery */  <br />
if($(el).hasClass("someClass")) <br />
/* 原生方法 */  <br />
if(el.classList.contains("someClass"))<br />
<br />修改CSS属性 <br />
总是通过Javascript修改和检索CSS属性，这样会比使用jQuery  CSS函数更加简单快速，并且没有任何不必要的代码。</p>
<p>复制代码 代码如下:<br />
<br />
// 得到DOM元素引用 <br />
var el =  document.querySelector(".main-content"); <br />
//----设置CSS属性---- <br />
/* jQuery */  <br />
$(el).css({ <br />
background: "#FF0000", <br />
"box-shadow": "1px 1px 5px 5px  red", <br />
width: "100px", <br />
height: "100px", <br />
display: "block" <br />
});  <br />
/* 原生 */ <br />
el.style.background = "#FF0000"; <br />
el.style.width = "100px";  <br />
el.style.height = "100px"; <br />
el.style.display = "block";  <br />
el.style.boxShadow = "1px 1px 5px 5px red"; </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 05:48:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/document/" title="document">document</a>, <a href="https://www.iamivan.net/tag/queryselectorall/" title="querySelectorAll">querySelectorAll</a>, <a href="https://www.iamivan.net/tag/%e5%8e%9f%e7%94%9f/" title="原生">原生</a>, <a href="https://www.iamivan.net/tag/%e5%8e%9f%e7%94%9f%e6%80%81/" title="原生态">原生态</a>, <a href="https://www.iamivan.net/tag/jquery%e4%bf%ae%e6%94%b9css%e5%b1%9e%e6%80%a7/" title="jquery修改css属性">jquery修改css属性</a>, <a href="https://www.iamivan.net/tag/%e5%8e%9f%e7%94%9f%e5%87%bd%e6%95%b0/" title="原生函数">原生函数</a>, <a href="https://www.iamivan.net/tag/%e5%8e%9f%e7%94%9f%e6%96%b9%e6%b3%95/" title="原生方法">原生方法</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jQuery函数的等价原生函数代码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVlYwz.html" rel="bookmark">jQuery函数的等价原生函数代码示例&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们针对常用的jQuery方法以及其等价原生方法的性能做了一些测试(1, 2, 3). 我知道你在想什么.原生方法明显要比jQuery方法快,因为jQuery方法要处理浏览器兼容以及其他一些事情.是的,我完全赞成.写这篇文章并不是出于反对使用jQuery,但如果你针对的是现代浏览器,那么使用原生方法会使性能有很大的提升. 许多开发者没有意识到大多数他们使用的jQuery方法可以使用原生方法,或者更轻量级的方法来代替.下面是一些代码示例,展示一些常用的jQuery方法,以及其等价原生方法. 译者注			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWjaBb.html" rel="bookmark">JavaScript中判断原生函数检查function是否是原生代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  我总是经常碰到需要检查某个function是否是原生代码的情况 -- 这是功能测试中一个很重要的内容: 函数是浏览器内置支持的,还是通过第三方类库模拟的.要检测这一点,最简单的办法当然是判断函数的 toString 方法返回的值啦. JavaScript代码 判断函数是否是原生方法其实相当简单: 1// 判断是否原生函数 2function isNative(fn) { 3// 示例: 4// alert.toString() 5// &quot;function alert() { [native			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJdE0VM.html" rel="bookmark">JavaScript中判断原生函数检查function是否是原生代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我总是经常碰到需要检查某个function是否是原生代码的情况 -- 这是功能测试中一个很重要的内容: 函数是浏览器内置支持的,还是通过第三方类库模拟的.要检测这一点,最简单的办法当然是判断函数的 toString 方法返回的值啦. JavaScript代码 判断函数是否是原生方法其实相当简单: // 判断是否原生函数 function isNative(fn) { // 示例: // alert.toString() // &quot;function alert() { [native code] }			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNVrnz.html" rel="bookmark">《JavaScript和jQuery实战手册（原书第2版）》&mdash;&mdash;3&period;4节函数：把有用的代码转换为可复用的命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.4 函数:把有用的代码转换为可复用的命令 假设在工作中你刚刚得到一位新的助理,来帮助你完成每项任务(这时候应该把本书归类为&quot;玄幻小说&quot;了).假设你饿了想吃披萨饼,但助理是新来到这座大楼和这个区域的,你必须给他清楚的指示:&quot;出门右转,乘电梯到1层,走出大楼--&quot;等.助手按照你的指示并且买来了一块披萨饼.几个小时之后,你又饿了,还想吃更多的披萨饼.现在,你不需要再次复述整个指示(&quot;出门右转,乘电梯到1层,走出大楼--&quot;).这次,助手知道到哪里去购			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1VoWb.html" rel="bookmark">jQuery中attr&lpar;&rpar;与prop&lpar;&rpar;函数用法实例详解&lpar;附用法区别&rpar;&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery中attr()与prop()函数用法.分享给大家供大家参考,具体如下: 一.jQuery的attr()方法 jquery中用attr()方法来获取和设置元素属性,attr是attribute(属性)的缩写,在jQuery DOM操作中会经常用到attr(),attr()有4个表达式. 1. attr(属性名) //获取属性的值(取得第一个匹配元素的属性值.通过这个方法可以方便地从第一个匹配元素中获取一个属性的值.如果元素没有相应属性,则返回 undefined ) 2.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9152XM.html" rel="bookmark">jQuery插件制作之全局函数用法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了jQuery插件制作之全局函数用法.分享给大家供大家参考.具体分析如下: 1.添加新的全局函数 所谓的全局函数,实际上就是jQuery对象的方法,但从实践的角度上看,他们是位于jQuery命名空间内部的函数 (1)添加一个函数,只需要将新函数指定为jQuery对象的一个属性. ? 1 2 3 jQuery.five =function(){ alert(&quot;直接继承方式不一样&quot;); } 调用: 代码如下: $.five(); (2)添加多个函数 ? 1 2 3 4 5			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJZkm8z.html" rel="bookmark">jQuery支持动态参数将函数绑定到事件上的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要介绍了jQuery支持动态参数将函数绑定到事件上的方法,实例分析了两种支持动态参数的函数绑定技巧,需要的朋友可以参考下     本文实例讲述了jQuery支持动态参数将函数绑定到事件上的方法.分享给大家供大家参考.具体分析如下: 下面的js代码提供了两种方法用于绑定函数到事件,其中方法二可以传递动态参数,非常实用 ? 1 2 3 4 5 6 7 8 9 //方法一 $('#foo').click(function(event) { alert('User clicked on &quot;fo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBK2qz.html" rel="bookmark">检测一个函数是否是JavaScript原生函数的小技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了检测一个函数是否是JavaScript原生函数的小技巧,本文给出了两种检测方法,需要的朋友可以参考下     在我的开发工作中经常会遇到需要判断一个函数是否是JavaScript原生函数的情况,有时候这是一个很必要的工作,你需要知道这个函数是浏览器自身提供的,还是由第三方封装.伪装成原生函数.当然,最好的方法是考察执行这个函数的toString方法的返回值. The JavaScript 完成这个任务的方法非常简单: 代码如下: function isNative(fn) {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Nw5mz.html" rel="bookmark">jQuery插件制作之全局函数用法实例&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery插件制作之全局函数用法.分享给大家供大家参考.具体分析如下: 1.添加新的全局函数 所谓的全局函数,实际上就是jQuery对象的方法,但从实践的角度上看,他们是位于jQuery命名空间内部的函数 (1)添加一个函数,只需要将新函数指定为jQuery对象的一个属性. jQuery.five =function(){ alert(&quot;直接继承方式不一样&quot;); } 调用: 复制代码 代码如下: $.five(); (2)添加多个函数 jQuery.five =func			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNke4p.html" rel="bookmark" class="title">data representation layer</a>
					<div>
						 上个周末我去了一个技术的沙龙,主要的内容是关于开源软件框架应用与软件架构.很有意思的一个讲座以后还要再去听.目前我国的软件有很多的平台和编程语言,比如.net  j2ee等,在每个语言里面还有相应的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPJ9qb.html" rel="bookmark" class="title">网页标准学习：标准的N种死法</a>
					<div>
						标准|网页 1. DIV之死 一个网页不管是什么..都可以用DIV来~~最典型的为某某论坛(不敢打出他的名字)应该用什么元素的就用什么元素.tbody是个好东西,table也可以一行一行的出来,不过不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlw5Db.html" rel="bookmark" class="title">设计欣赏&colon;50个非常漂亮的Flash网站</a>
					<div>
						这些是真正具有创造性和鼓舞人心的flash网站!这些网站运用大量的动作脚本,动画制作,包括视频,摄影,游戏等方式,并独立创建的各种交互式设计方式!令我惊讶的是这些网站让我认识到Flash的无限可能性. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWj8Eb.html" rel="bookmark" class="title">用VBScript实现对Windows注册表的修改</a>
					<div>
						vbscript|window|注册表 大名鼎鼎的WSH听说过吗? 它就是Windows Script Host的缩写形式,WSH是Windows平台的脚本指令,它的功能十分强大,并且它还是利用语法结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ0dWz.html" rel="bookmark" class="title">再学GDI&plus;&lbrack;70&rsqb;&colon; 路径画刷&lpar;10&rpar;</a>
					<div>
						本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M914RoM.html" rel="bookmark" class="title">Windows 7解决方案中心图文详解</a>
					<div>
						Windows Solution Center ,在进入系统桌面后,便能看到系统栏中这个醒目的似灯塔图标.单击该图标后,出现如下图的显示. 系统给我提示有两条信息,单击&quot;Open Windw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEmRxb.html" rel="bookmark" class="title">教你提高硬盘性能</a>
					<div>
						今天介绍利用软RAID提高硬盘性能. 一.简单认识软RAID 软RAID不需要RAID控制卡,它通过软件进行控制.windows 2000/XP支持该功能.先给大家介绍一下软RAID的基本知识. 在W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62QQyM.html" rel="bookmark" class="title">VC&plus;&plus;中使用DB-Library编程（一）&lpar;SQL Server&rpar;</a>
					<div>
						最近刚学VC++,觉得VC++在访问数据库时不论使用ODBC.ADO,OLE DB或MFC相应类库都感觉有些繁琐,于是并利用VC++将SQL Server提供的DB-Library库作了一些简单的封装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91meXM.html" rel="bookmark" class="title">Photoshop中模糊锐化和涂抹工具使用技巧</a>
					<div>
						  在ps的模糊工具内含三个工具--模糊工具.锐化工具.涂抹工具,这三个工具可以对图像的细节进行局部的修饰,下面小编就来告诉你们它们的使用方法及使用效果. photoshop的模糊工具 模糊工具: 一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PEPJM.html" rel="bookmark" class="title">PhotoShop制作像素马赛克壁纸效果教程</a>
					<div>
						长久以来壁纸都是很讲究纹样的效果,本教程给你提供一种方法,同时也让你更深刻的理解图像大小里面的新用途. 1.首先新创建一个160x90PX的透明画布文件,填充你喜欢的纯色(最好选择网页安全色为好,尽管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLwv3b.html" rel="bookmark" class="title">Win8更新应用时提示错误的解决方案</a>
					<div>
						Win8系统内置的Windows Store应用商店为我们提供了非常丰富的应用,不过在应用商店更新已下载的应用程序时,有可能会出现一些错误.比如在更新Win8版水果忍者这款应用时,就有可能出现错误,错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl3VAz.html" rel="bookmark" class="title">PhotoShop中的图层混合选项功能详细介绍</a>
					<div>
						了解图层的混合选项 作用于 1)图层效果混合的选项调整. 2)混合色带在图象合成中细致快捷的效果. 双击图层出现混合选项 出现三部分 1常规选项 2高级混合 3混合颜色带 常规选项 控制图层混合模式和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Ylmp.html" rel="bookmark" class="title">两种设置php载入页面时编码的方法</a>
					<div>
						  设置php页面编码的方法有两种,一是输出meta标签,二是使用header函数,下面为大家详细介绍下 php载入页面时设置页面编码的两种方法 1:输出meta标签: 1.在php mvc的控制器里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3WPWp.html" rel="bookmark" class="title">win7系统电脑突然没声音了怎么解决？</a>
					<div>
						  win7系统电脑突然没声音了怎么解决?          具体方法如下: 1.检查一下外部音频设备.我们通常可以使用替换法来检测一下音频设备是否工作正常.将我们的音频设备连接到正常使用的电脑上,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze76JjM.html" rel="bookmark" class="title">如何在IE中禁用加载项？</a>
					<div>
						  1.先点选右上角的&quot;工具&quot;按钮,再点选&quot;管理加载项&quot;. 2.请选择&quot;所有加载项&quot;.在右边的列表中会显示所有的IE加载项,里面有详细的加载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR6Jep.html" rel="bookmark" class="title">历程杂技</a>
					<div>
						为什么会抛出IllegalMonitorStateException? 在使用java线程的时候,我们有时候要调用wait,notifyAll,notify来等待或者唤醒线程,如果这几个方法没有包含在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAADkM.html" rel="bookmark" class="title">asp&period;net数据库连接插入数据时出错，如下：？？？</a>
					<div>
						问题描述 asp.net数据库连接插入数据时出错,如下:??? string constr = &quot;data source=USER-20141030QL;initial catalog=AS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NVxAz.html" rel="bookmark" class="title">html5响应式网站拥有什么样的优势与特点？</a>
					<div>
						说起H5响应式网站,很多人第一时间的反应是:&quot;HTML5网站拥有丰富的展示形式&quot;.&quot;H5网站的功能很多&quot;.&quot;响应式网站能够适应不同屏幕大小分辨率的设备 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVdg6b.html" rel="bookmark" class="title">苹果今年毛利润率还会持续增长吗？或许很难</a>
					<div>
						月23日,据外媒消息,在2014年和2015年,苹果开足马力,大力发展,并取得了辉煌业绩.在此期间,营收增长推动了该公司的净利润上涨,与此同时,每股摊薄利润进一步受到了公司股票回购计划的影响.但是,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nx1az.html" rel="bookmark" class="title">如何打造千万级Feed流系统</a>
					<div>
						在互联网领域,尤其现在的移动互联网时代,Feed流产品是非常常见的,比如我们每天都会用到的朋友圈,微博,就是一种非常典型的Feed流产品,还有图片分享网站Pinterest,花瓣网等又是另一种形式的F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94LPXb.html" rel="bookmark" class="title">聚焦阿里云开发者大会 263蓄势待发</a>
					<div>
						本文讲的是聚焦阿里云开发者大会 263蓄势待发,10月16-17日,为期两天的第四届阿里云开发者大会将在杭州云栖小镇举行,这是云计算领域一年一度的开发者盛会.伴随着国内云计算生态的不断成熟,阿里云开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zy1Az.html" rel="bookmark" class="title">Gartner预测：基础设施服务将加快云计算增长</a>
					<div>
						随着公有云计算在企业里的采用越来越广泛,更高级别的IT支出正在与基础设施相关的服务里上演,包括基础设施即服务IaaS.随着公有云计算在企业里的采用越来越广泛,更高级别的IT支出正在与基础设施相关的服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAvwqp.html" rel="bookmark" class="title">C&num;新手在新手</a>
					<div>
						问题描述 [img=http://b260.photo.store.qq.com/psb?/0296c76c-e9ad-46db-890f-b097952bc4df/FVSNPDTXlDuz*.nTl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R9Eqz.html" rel="bookmark" class="title">台媒称苹果5&period;6英寸屏幕新机不会以&OpenCurlyDoubleQuote;iPhone&rdquo;命名</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 iPhone 6概念图 [Tech ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nrn7z.html" rel="bookmark" class="title">张根硕向接机粉丝大送飞吻</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   张根硕把太阳眼镜拉下来打招呼. 韩国男星张根硕今晚将在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Ne7Pb.html" rel="bookmark" class="title">一个基于Asp&period;Net MVC的权限方案&lowbar;实用技巧</a>
					<div>
						1.数据结构Mad_Popedom为权限表,Control记录控制器名,Action记录动作名.Mad_Role为角色表. 2.权限控制的实现此处使用比较简单AOP方式,用MVC的Filter实现,代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPld9lp.html" rel="bookmark" class="title">阿里进军娱乐路线，正式宣布推出&OpenCurlyDoubleQuote;娱乐宝&rdquo;</a>
					<div>
						经常天马行空的马云,最近又打出了一记重拳,那就是&quot;娱乐宝&quot;. 这是继支付宝.余额宝之后的阿里推出的又一款&quot;宝记&quot;产品.而作为阿里巴巴集团进军杀入数字娱乐的第一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm7rYp.html" rel="bookmark" class="title">sshpass：一个很棒的免交互 SSH 登录工具，但不要用在生产服务器上</a>
					<div>
						在大多数情况下,Linux 系统管理员使用 SSH 登录到程 Linux 服务器时,要么是通过密码,要么是无密码 SSH 登录或基于密钥的 SSH 身份验证. 如果你想自动在 SSH 登录提示符中提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWaK0M.html" rel="bookmark" class="title">一个链接有多重要 请他人转载文章带上出处</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今天我是来为我们所有站长来说句大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4Q9Ob.html" rel="bookmark" class="title">js钢琴按钮波浪式图片排列效果代码分享&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js钢琴按钮波浪式图片排列效果.分享给大家供大家参考.具体如下: 这是一款基于javascript实现的钢琴按钮波浪式图片排列效果,鼠标在图片列表上移动,当前图片高亮显示,以此为根基点, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
